cURL
curl --request GET \
--url https://api.hirehive.com/v1.0/{company_id}/jobs/{job_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hirehive.com/v1.0/{company_id}/jobs/{job_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hirehive.com/v1.0/{company_id}/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"assigned_team": {
"assigned_users": [
"<string>"
],
"recruiter_ids": [
"<string>"
]
},
"notifications": {
"new_application_email": [
"<string>"
]
},
"application_form": {
"base_form": {
"current_title": "off",
"current_company": "off",
"location": "off",
"phone": "off",
"resume": "off",
"cover_letter": "off"
},
"additional_form_ids": [
"<string>"
]
},
"auto_responder": {
"id": "<string>",
"email_subject": "<string>",
"email_body": "<string>"
},
"tags": [
{
"id": "<string>",
"name": "<string>"
}
],
"deadline": {
"closes_at": "2023-11-07T05:31:56Z",
"auto_close": true
},
"title": "<string>",
"description": "<string>",
"location": {
"city": "<string>",
"state": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
},
"country": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
},
"remote": "not_remote"
},
"owner_id": "<string>",
"status": "drafted",
"type": "full_time",
"experience": "na",
"salary": "<string>",
"job_code": "<string>",
"created_date": "2023-11-07T05:31:56Z",
"published_date": "2023-11-07T05:31:56Z",
"category": {
"id": "<string>",
"name": "<string>"
},
"language": {
"id": "<string>",
"name": "<string>",
"code": "<string>"
},
"job_ads": [
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"job_board": "indeed",
"status": "unknown",
"budget": 123,
"meta": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"apply_url": "<string>"
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Jobs
Get job by id
Get a job by id
GET
/
v1.0
/
{company_id}
/
jobs
/
{job_id}
cURL
Was this page helpful?
⌘I